Module
Contents
Index 🔎︎

# Add-in Functions

The following describes and lists some of the available add-in functions.

Lisade kontseptsioon

You will also find a description of the LibreOffice Calc add-in interface in the Help. In addition, important functions and their parameters are described in the Help for the Shared Library LibreOffice Calc add-in DLL
.

## Olemasolevad lisafunktsioonid

LibreOffice sisaldab LibreOffice Calci lisafunktsioonide liidese näiteid.

Analüütilised funktsioonid, 1. osa

Analüütilised funktsioonid, 2. osa

## DAYSINMONTH

Arvutab sisestatud kuupäeva kuu päevade arvu.

### Syntax

DAYSINMONTH(kuupäev)

Kuupäev on suvaline kuupäev vastavas aastas. Kuupäev peab olema vormindatud vastavalt LibreOffice'is määratud lokaadi sätetele.

### Example

=DAYSINMONTH(A1) tagastab 29, kui A1 sisaldab kuupäeva 17.02.68, mis on korrektne 1968. aasta veebruarikuu kuupäev.

## DAYSINYEAR

Arvutab sisestatud kuupäeva aasta päevade arvu.

### Syntax

DAYSINYEAR(kuupäev)

Kuupäev on suvaline kuupäev vastavas aastas. Kuupäev peab olema vormindatud vastavalt LibreOffice'is määratud lokaadi sätetele.

### Example

=DAYSINYEAR(A1) tagastab 366, kui A1 sisaldab 29.02.1968, mis on korrektne aasta 1968 kuupäev.

## ISLEAPYEAR

Määrab, kas aasta on liigaasta. Jaatava vastuse korral tagastab funktsioon vastuse 1 (TÕENE); vastupidisel juhul tagastatakse 0 (VÄÄR).

### Syntax

ISLEAPYEAR("kuupäev")

Date specifies whether a given date falls within a leap year. The Date parameter must be a valid date.

### Example

=ISLEAPYEAR(A1) tagastab 1, kui A1 sisaldab 29.02.1968, mis on korrektne 29. veebruari 1968 tähistus vastavalt lokaadi sätetele.

You may also use =ISLEAPYEAR(DATE(1968;2;29)) or =ISLEAPYEAR("1968-02-29") giving the date string in the ISO 8601 notation.

Ära kunagi kasuta funktsiooni kujul =ISLEAPYEAR(2/29/68), siis arvutatakse 2 jagatis 29-ga, mis jagatakse omakorda 68-ga ning sellest väiksest arvust, mida loetakse kuupäeva seerianumbriks, arvutakse funktsioon ISLEAPYEAR.

## MONTHS

Arvutab kahe kuupäeva vahe kuudes.

### Syntax

MONTHS(alguskuupäev; lõppkuupäev; tüüp)

Alguskuupäev on esimene kuupäev.

Lõppkuupäev on teine kuupäev.

Tüüp määrab vahe tüübi. Võimalikud väärtused on 0 (vahe) ja 1 (kalendrikuud).

## ROT13

Krüptib stringi, nihutades märke tähestikus 13 koha võrra edasi. Pärast tähestiku lõppu jõudmist alustatakse uuesti algusest. Sama funktsiooni rakendamisel kodeerimise tulemusele saadakse vastuseks esialgne tekst.

### Syntax

ROT13(tekst)

Tekst on string, mida soovid krüptida. ROT13(ROT13(tekst)) loeb krüptitud teksti uuesti välja.

## WEEKS

Arvutab kahe kuupäeva vahe nädalates.

### Syntax

WEEKS(alguskuupäev; lõppkuupäev; tüüp)

Alguskuupäev on esimene kuupäev.

Lõppkuupäev on teine kuupäev.

Tüüp määrab vahe tüübi. Võimalikud väärtused on 0 (vahe) ja 1 (vahe täisnädalates).

## WEEKSINYEAR

Arvutab nädalate arvu aastas, millele antud kuupäev langeb. Nädalate arv on määratud järgnevalt: nädal, mis jaotub kahele aastale, lisatakse aastale, millesse jääb rohkem selle nädala päevi.

### Syntax

WEEKSINYEAR(kuupäev)

Kuupäev on suvaline kuupäev vastavas aastas. Kuupäev peab olema vormindatud vastavalt LibreOffice'is määratud lokaadi sätetele.

### Example

WEEKSINYEAR(A1) tagastab 53, kui A1 sisaldab kuupäeva 17.02.70, mis on korrektne aasta 1970 kuupäev.

## YEARS

Arvutab kahe kuupäeva vahe aastates.

### Syntax

YEARS(alguskuupäev; lõppkuupäev; tüüp)

Alguskuupäev on esimene kuupäev.

Lõppkuupäev on teine kuupäev.

Tüüp määrab vahe tüübi. Võimalikud väärtused on 0 (vahe) ja 1 (kalendriaastad).

## LibreOffice API abil lisatud funktsioonid

Add-ins can also be implemented through the LibreOffice API.

Sarnased teemad

Functions by Category